[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#1068177: lintian: unpack-message-for-orig due to readelf failing on python-pyelftools 0.31



Package: lintian
Version: 2.117.0
Severity: normal

Dear Maintainer,

   * What led up to the situation?
     I'm packaging python-pyelftools 0.31 and lintian fails due to files
     used for testing, because of non-utf8 characters.

   * What exactly did you do (or not do) that was effective (or
     ineffective)?

     I followed the usual process of importing a new upstream version.
     I uploaded the packaging state to https://salsa.debian.org/debian/python-
pyelftools.

   * What was the outcome of this action?

     The build succeeds, but the subsequent lintian run fails with:

     E: python-pyelftools source: unpack-message-for-orig python-
pyelftools_0.31.orig.tar.gz . Output from 'readelf --all --wide
pyelftools-0.31/test/testfiles_for_unittests/dwarf_phantombytes.elf' is not
valid UTF-8

   * What outcome did you expect instead?

     I'm not sure: either lintian wouldn't care whether output is utf-8
     or perhaps readelf shouldn't emit 8-bit characters.


-- System Information:
Debian Release: trixie/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 6.6.15-amd64 (SMP w/8 CPU threads; PREEMPT)
Kernel taint flags: TAINT_PROPRIETARY_MODULE, TAINT_OOT_MODULE, TAINT_UNSIGNED_MODULE
Locale: LANG=C.UTF-8, LC_CTYPE=C.UTF-8 (charmap=UTF-8), LANGUAGE not set
Shell: /bin/sh linked to /usr/bin/dash
Init: systemd (via /run/systemd/system)
LSM: AppArmor: enabled

Versions of packages lintian depends on:
ii  binutils                        2.42-4
ii  bzip2                           1.0.8-5.1
ii  diffstat                        1.66-1
ii  dpkg                            1.22.4
ii  dpkg-dev                        1.22.4
ii  file                            1:5.45-2+b1
ii  gettext                         0.21-14+b1
ii  gpg                             2.2.40-1.1+b1
ii  intltool-debian                 0.35.0+20060710.6
ii  iso-codes                       4.16.0-1
ii  libapt-pkg-perl                 0.1.40+b3
ii  libarchive-zip-perl             1.68-1
ii  libberkeleydb-perl              0.64-2+b2
ii  libcapture-tiny-perl            0.48-2
ii  libclass-xsaccessor-perl        1.19-4+b2
ii  libclone-perl                   0.46-1+b1
ii  libconfig-tiny-perl             2.30-1
ii  libconst-fast-perl              0.014-2
ii  libcpanel-json-xs-perl          4.37-1+b1
ii  libdata-dpath-perl              0.59-1
ii  libdata-validate-domain-perl    0.10-1.1
ii  libdata-validate-uri-perl       0.07-3
ii  libdevel-size-perl              0.83-2+b2
pn  libdigest-sha-perl              <none>
ii  libdpkg-perl                    1.22.4
ii  libemail-address-xs-perl        1.05-1+b2
ii  libfile-basedir-perl            0.09-2
ii  libfile-find-rule-perl          0.34-3
ii  libfont-ttf-perl                1.06-2
ii  libhtml-html5-entities-perl     0.004-3
ii  libhtml-tokeparser-simple-perl  3.16-4
ii  libio-interactive-perl          1.025-1
ii  libipc-run3-perl                0.049-1
ii  libjson-maybexs-perl            1.004005-1
ii  liblist-compare-perl            0.55-2
ii  liblist-someutils-perl          0.59-1
ii  liblist-utilsby-perl            0.12-2
ii  libmldbm-perl                   2.05-4
ii  libmoo-perl                     2.005005-1
ii  libmoox-aliases-perl            0.001006-2
ii  libnamespace-clean-perl         0.27-2
ii  libpath-tiny-perl               0.144-1
ii  libperlio-gzip-perl             0.20-1+b2
ii  libperlio-utf8-strict-perl      0.010-1+b1
ii  libproc-processtable-perl       0.636-1+b1
ii  libregexp-wildcards-perl        1.05-3
ii  libsereal-decoder-perl          5.004+ds-1+b1
ii  libsereal-encoder-perl          5.004+ds-1+b1
ii  libsort-versions-perl           1.62-3
ii  libsyntax-keyword-try-perl      0.29-1+b1
ii  libterm-readkey-perl            2.38-2+b2
ii  libtext-levenshteinxs-perl      0.03-5+b2
ii  libtext-markdown-discount-perl  0.16-1+b1
ii  libtext-xslate-perl             3.5.9-1+b3
ii  libtime-duration-perl           1.21-2
ii  libtime-moment-perl             0.44-2+b2
ii  libtimedate-perl                2.3300-2
ii  libunicode-utf8-perl            0.62-2+b1
ii  liburi-perl                     5.27-1
ii  libwww-mechanize-perl           2.18-1
ii  libwww-perl                     6.77-1
ii  libxml-libxml-perl              2.0207+dfsg+really+2.0134-1+b2
ii  libyaml-libyaml-perl            0.89+ds-1
ii  lzip [lzip-decompressor]        1.24.1-1
ii  lzop                            1.04-2
ii  man-db                          2.12.0-3
ii  patchutils                      0.4.2-1
ii  perl [libencode-perl]           5.38.2-3
ii  t1utils                         1.41-4
ii  unzip                           6.0-28
ii  xz-utils                        5.6.1+really5.4.5-1

lintian recommends no packages.

Versions of packages lintian suggests:
pn  binutils-multiarch     <none>
ii  libtext-template-perl  1.61-1

-- no debconf information


Reply to: